Bug 229112 - Multiple Perl ports won't build (package) with Perl 5.28
Summary: Multiple Perl ports won't build (package) with Perl 5.28
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-18 17:09 UTC by Mike Andrews
Modified: 2018-06-29 10:11 UTC (History)
3 users (show)

See Also:


Attachments
p5-Business-Stripe build failure (23.07 KB, text/plain)
2018-06-18 17:09 UTC, Mike Andrews
no flags Details
p5-HTML-FormatText-WithLinks-AndTables build failure (24.92 KB, text/plain)
2018-06-18 17:10 UTC, Mike Andrews
no flags Details
p5-Text-CSV-Encoded build failure (20.49 KB, text/plain)
2018-06-18 17:10 UTC, Mike Andrews
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Andrews 2018-06-18 17:09:36 UTC
Created attachment 194362 [details]
p5-Business-Stripe build failure

I'm building two Poudriere repos, one where DEFAULT_VERSIONS has perl5=5.26 and one with perl5=5.28.  On the 5.28 repo, I'm seeing packaging failures on multiple Perl module ports, due to inability to find README.pod.  On the 5.26 repo, everything builds fine.

Build logs are attached for the three we use that are failing.  There may be other similar failures elsewhere in the ports tree, but we have a relatively small pkglist we're building (about 1000).  Definitely not ALL perl ports are failing with 5.28.

FreeBSD 11.1-RELEASE amd64.

Anything else I can supply to make sure this isn't something stupid I'm doing at my end?
Comment 1 Mike Andrews 2018-06-18 17:10:28 UTC
Created attachment 194363 [details]
p5-HTML-FormatText-WithLinks-AndTables build failure

This one is a dependency of the www/rt44 port.
Comment 2 Mike Andrews 2018-06-18 17:10:52 UTC
Created attachment 194364 [details]
p5-Text-CSV-Encoded build failure
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2018-06-18 22:54:10 UTC
Assign to maintainer of finance/p5-Business-Stripe and textproc/p5-HTML-FormatText-WithLinks-AndTables, and notify maintainer of textproc/p5-Text-CSV-Encoded.
Comment 4 Mathieu Arnold freebsd_committer 2018-06-20 15:01:56 UTC
ExtUtils::MakeMaker 7.31_06 and after, and the one in Perl 5.28 exclude README.pod from installation.

I am unsure if those ports need to be fixed (as in commenting out the README.pod from pkg-plist) or if the framework needs to always remove README.pod files.
Comment 5 Kurt Jaeger freebsd_committer 2018-06-20 19:57:39 UTC
Another one:
devel/p5-PerlIO-via-Timeout
Comment 6 Mathieu Arnold freebsd_committer 2018-06-21 10:56:57 UTC
Looking into it.
Comment 7 Mathieu Arnold freebsd_committer 2018-06-21 14:06:25 UTC
Fix here  https://reviews.freebsd.org/D15946
Comment 8 Mike Andrews 2018-06-21 19:19:39 UTC
A very fast spot-check against just finance/p5-Business-Stripe shows that the patch to remove README.pod from pkg-plist does work.
Comment 9 commit-hook freebsd_committer 2018-06-29 10:10:54 UTC
A commit references this bug:

Author: mat
Date: Fri Jun 29 10:10:44 UTC 2018
New revision: 473539
URL: https://svnweb.freebsd.org/changeset/ports/473539

Log:
  Fix a few Perl ports with Perl 5.28.

  Starting at ExtUtils::MakeMaker 7.31_06 and Perl 5.27.1, the base
  README.pod is no longer installed. So stop installing them altogether.

  PR:		229112
  Reported by:	many
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D15946

Changes:
  head/Mk/Uses/perl5.mk
  head/databases/p5-RedisDB-Parser/pkg-plist
  head/devel/p5-App-CLI-Extension/pkg-plist
  head/devel/p5-Call-Context/Makefile
  head/devel/p5-Data-Page-NoTotalEntries/pkg-plist
  head/devel/p5-Devel-KYTProf/pkg-plist
  head/devel/p5-JIRA-REST/Makefile
  head/devel/p5-Log-Defer/pkg-plist
  head/devel/p5-Module-Collect/pkg-plist
  head/devel/p5-Mojolicious-Plugin-NYTProf/Makefile
  head/devel/p5-MouseX-AttributeHelpers/pkg-plist
  head/devel/p5-POE-Component-Hailo/files/
  head/devel/p5-PerlIO-via-Timeout/pkg-plist
  head/devel/p5-SVN-Hooks/pkg-plist
  head/devel/p5-Symbol-Get/Makefile
  head/devel/p5-Sys-Syscall/pkg-plist
  head/devel/p5-Test-Mini/pkg-plist
  head/devel/p5-Test-Mini-Unit/pkg-plist
  head/devel/p5-Test-MockObject/pkg-plist
  head/devel/p5-X-Tiny/Makefile
  head/finance/p5-Business-Stripe/pkg-plist
  head/graphics/p5-Data-Google-Visualization-DataSource/pkg-plist
  head/math/p5-Math-ProvablePrime/Makefile
  head/net/p5-XML-RPC-Fast/pkg-plist
  head/net-mgmt/p5-Net-ILO/files/
  head/security/p5-Bytes-Random-Secure-Tiny/Makefile
  head/security/p5-Crypt-Perl/Makefile
  head/security/p5-Protocol-ACME/pkg-plist
  head/textproc/p5-Data-FormValidator/pkg-plist
  head/textproc/p5-HTML-FormatText-WithLinks-AndTables/pkg-plist
  head/textproc/p5-Pod-Readme/pkg-plist
  head/textproc/p5-Text-CSV-Encoded/pkg-plist
  head/www/p5-Amon2-Plugin-LogDispatch/pkg-plist
  head/www/p5-Dancer-Plugin-FlashMessage/Makefile
  head/www/p5-Dancer2-Plugin-Deferred/pkg-plist
  head/www/p5-HTML5-DOM/pkg-plist
  head/www/p5-HTTP-Router/pkg-plist
  head/www/p5-Mojolicious-Plugin-Database/pkg-plist
  head/www/p5-WWW-SourceForge/pkg-plist